index

Varkon MBS Programmers manual

# instr - Function

## Description

Reads a string of characters from an open file or pipe. instr() reads as many characters as specified or until end of line.

## Syntax

      s:=instr(f, width);

      string s;
      file   f;
      int    width;

## Principal parameters

f | - The name of a filevariable associated with a file open for read or update (R or U)

## Optional parameters

width | - The number of characters to read.

## Return value

The STRING read.

## See also

inlin() and iostat()

Varkon version 1.19E svn# 121M